package com.kakao.usermgmt.callback;

import com.bytedance.covode.number.Covode;
import com.kakao.auth.ApiResponseCallback;
import com.kakao.usermgmt.response.model.UserProfile;

public abstract class MeResponseCallback extends ApiResponseCallback<UserProfile> {
    static {
        Covode.recordClassIndex(45941);
    }

    public void onSuccessForUiThread(UserProfile userProfile) {
        userProfile.saveUserToCache();
        MeResponseCallback.super.onSuccessForUiThread(userProfile);
    }
}
